/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { ChaikinOscillatorIndicatorStrategy } from "./ChaikinOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var ChaikinOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(ChaikinOscillatorIndicator, _super);
    function ChaikinOscillatorIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ChaikinOscillatorIndicator.prototype.get_p0 = function () {
        return new ChaikinOscillatorIndicatorStrategy();
    };
    Object.defineProperty(ChaikinOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    ChaikinOscillatorIndicator.prototype.get_qd = function () {
        return ChaikinOscillatorIndicator.$;
    };
    Object.defineProperty(ChaikinOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ChaikinOscillatorIndicator.prototype, "shortPeriod", {
        get: function () {
            return typeGetValue(this.c(ChaikinOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(ChaikinOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    ChaikinOscillatorIndicator.prototype.p8 = function () {
        return this.shortPeriod;
    };
    Object.defineProperty(ChaikinOscillatorIndicator.prototype, "longPeriod", {
        get: function () {
            return typeGetValue(this.c(ChaikinOscillatorIndicator.ql));
        },
        set: function (a) {
            this.h(ChaikinOscillatorIndicator.ql, a);
        },
        enumerable: true,
        configurable: true
    });
    ChaikinOscillatorIndicator.prototype.p5 = function () {
        return this.longPeriod;
    };
    ChaikinOscillatorIndicator.qm = StrategyBasedIndicator.qk(3, ChaikinOscillatorIndicator.$);
    ChaikinOscillatorIndicator.ql = StrategyBasedIndicator.qg(10, ChaikinOscillatorIndicator.$);
    ChaikinOscillatorIndicator.$t = markType(ChaikinOscillatorIndicator, 'ChaikinOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
    return ChaikinOscillatorIndicator;
}(StrategyBasedIndicator));
export { ChaikinOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.ChaikinOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.ChaikinOscillatorIndicator" />*/
